Bug 150900 - Regression(r188820): Downloads of data URLs is broken
Summary: Regression(r188820): Downloads of data URLs is broken
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Local Build
Hardware: Macintosh OS X 10.11
: P2 Normal
Assignee: Antti Koivisto
URL: https://jsfiddle.net/58vnsa6c/embedde...
Keywords: InRadar
Depends on:
Blocks: 148128
  Show dependency treegraph
 
Reported: 2015-11-04 12:17 PST by Gordon Sheridan
Modified: 2015-11-14 21:23 PST (History)
6 users (show)

See Also:


Attachments
patch (2.04 KB, patch)
2015-11-13 16:56 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (2.07 KB, patch)
2015-11-13 16:57 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Sheridan 2015-11-04 12:17:22 PST
As of http://trac.webkit.org/changeset/188820 clicking on a link like this:

<a href="data:application/zip;base64,UEsDBAoAAAAAANuBTUefqBf4BAAAAAQAAAAHABwAb25lLnR4dFVUCQADbpAdVjmRHVZ1eAsAAQT2AQAABBQAAABvbmUKUEsBAh4DCgAAAAAA24FNR5+oF/gEAAAABAAAAAcAGAAAAAAAAQAAAKSBAAAAAG9uZS50eHRVVAUAA26QHVZ1eAsAAQT2AQAABBQAAABQSwUGAAAAAAEAAQBNAAAARQAAAAAA">href=data URL</a>

...no longer downloads the data as a file.

The r188820 commit was for https://bugs.webkit.org/show_bug.cgi?id=148128
Comment 1 Radar WebKit Bug Importer 2015-11-04 13:05:17 PST
<rdar://problem/23399223>
Comment 2 Chris Dumez 2015-11-05 16:01:19 PST
Likely a MIME type detection problem?
Comment 3 Chris Dumez 2015-11-05 16:10:06 PST
(In reply to comment #2)
> Likely a MIME type detection problem?

Nope, MIME type is correctly detected as application/zip.
Comment 4 Antti Koivisto 2015-11-13 16:56:21 PST
Created attachment 265517 [details]
patch
Comment 5 Antti Koivisto 2015-11-13 16:57:39 PST
Created attachment 265518 [details]
patch
Comment 6 WebKit Commit Bot 2015-11-14 21:23:11 PST
Comment on attachment 265518 [details]
patch

Clearing flags on attachment: 265518

Committed r192458: <http://trac.webkit.org/changeset/192458>
Comment 7 WebKit Commit Bot 2015-11-14 21:23:16 PST
All reviewed patches have been landed.  Closing bug.